/*******************************************************************************
 * FoxCustomizationNode_Preset generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_Preset extends FoxCustomizationNode_ModProviderBase within FoxArmoryUI
    config(UI);

function Initialize(optional bool bSelectEquipped)
{
    local array<FoxDataProvider_WeaponSkin> DataProviderList;
    local FoxDataProvider_WeaponSkin CurrentModProvider;
    local class<FoxWeapon> SelectedWeaponClass;

    bSelectEquipped = true;
    super(FoxCustomizationNode_Base).Initialize(bSelectEquipped);
    SelectedWeaponClass = Outer.GetWeaponClassForType(Outer.SelectedCustomizationType);
    AssociatedUnlockID = SelectedWeaponClass.default.UnlockID;
    Outer.CustomItemType = 0;
    // End:0xD4
    if(bSelectEquipped)
    {
        Outer.ResetSelectedLoadout();
    }
    // End:0x1E5
    if(Outer.SelectedCustomizationType == 0)
    {
        DataProviderList = Outer.Outer.Outer.UnlockablesDataStore.PrimarySkinProviderArray;
        // End:0x1E2
        if(Outer.SavedPrimaryWeaponInfo.WeaponSkin != 255)
        {
            CurrentModProvider = DataProviderList[Outer.SavedPrimaryWeaponInfo.WeaponSkin];
        }
    }
    // End:0x2CF
    else
    {
        DataProviderList = Outer.Outer.Outer.UnlockablesDataStore.SecondarySkinProviderArray;
        // End:0x2CF
        if(Outer.SavedSecondaryWeaponInfo.WeaponSkin != 255)
        {
            CurrentModProvider = DataProviderList[Outer.SavedSecondaryWeaponInfo.WeaponSkin];
        }
    }
    SetupProviderCustomScroller(DataProviderList, CurrentModProvider, bSelectEquipped);
    //return;    
}

function ei_changeScrollerIndex(int NewIndex)
{
    local FoxWeaponConfigInfo TempLoadoutInfo;

    // End:0x14C
    if((NewIndex >= 0) && NewIndex < ScrollerEntries.Length)
    {
        // End:0x78
        if(Outer.SelectedCustomizationType == 0)
        {
            TempLoadoutInfo = Outer.CachedPrimaryWeaponInfo;
        }
        // End:0xA0
        else
        {
            TempLoadoutInfo = Outer.CachedSecondaryWeaponInfo;
        }
        TempLoadoutInfo.WeaponSkin = byte(SelectedModProviderInfoList[ScrollerEntries[NewIndex].InsertIndex].ModID);
        TempLoadoutInfo.WeaponCamoIndex = -1;
        Outer.UpdateCharacterLoadout(TempLoadoutInfo);
    }
    super(FoxCustomizationNode_Base).ei_changeScrollerIndex(NewIndex);
    //return;    
}

function ei_ScrollerClicked(string SelectedIndex)
{
    local int NextIndex;

    NextIndex = int(SelectedIndex);
    // End:0x86
    if((NextIndex >= 0) && NextIndex < ScrollerEntries.Length)
    {
        Outer.SelectedScrollerUnlock = ScrollerEntries[NextIndex].UnlockID;
    }
    // End:0xA6
    else
    {
        Outer.SelectedScrollerUnlock = 0;
    }
    super(FoxCustomizationNode_Base).ei_ScrollerClicked(SelectedIndex);
    //return;    
}

function NodeEquipButtonClicked(string SelectedIndex)
{
    local int NextIndex;

    NextIndex = int(SelectedIndex);
    // End:0x317
    if((NextIndex >= 0) && NextIndex < ScrollerEntries.Length)
    {
        // End:0x1BE
        if(Outer.SelectedCustomizationType == 0)
        {
            Outer.CachedPrimaryWeaponInfo.WeaponSkin = byte(SelectedModProviderInfoList[ScrollerEntries[NextIndex].InsertIndex].ModID);
            Outer.UpdateCharacterLoadout(Outer.CachedPrimaryWeaponInfo);
            Outer.Outer.ArmoryItemGrid.as_SetSelectedModIndex(Outer.SetModDataForWeaponCamo(Outer.CachedPrimaryWeaponInfo, Outer.CustomItemType), true);
        }
        // End:0x317
        else
        {
            Outer.CachedSecondaryWeaponInfo.WeaponSkin = byte(SelectedModProviderInfoList[ScrollerEntries[NextIndex].InsertIndex].ModID);
            Outer.UpdateCharacterLoadout(Outer.CachedSecondaryWeaponInfo);
            Outer.Outer.ArmoryItemGrid.as_SetSelectedModIndex(Outer.SetModDataForWeaponCamo(Outer.CachedSecondaryWeaponInfo, Outer.CustomItemType), true);
        }
    }
    super(FoxCustomizationNode_Base).NodeEquipButtonClicked(SelectedIndex);
    //return;    
}

function SetModIndexToConfig(int ModIndex, out FoxWeaponConfigInfo NewWeaponConfig)
{
    NewWeaponConfig.WeaponSkin = byte(ModIndex);
    //return;    
}

function UpdateNodeDetails()
{
    //return;    
}
